stl_numeric.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_MOVE_IF_20(_E)

## Functions

template<typename _InputIterator, typename _Tp>
constexpr _Tp | std::accumulate (_InputIterator __first, _InputIterator __last, _Tp __init)
template<typename _InputIterator, typename _Tp, typename _BinaryOperation>
constexpr _Tp | std::accumulate (_InputIterator __first, _InputIterator __last, _Tp __init, _BinaryOperation __binary_op)
template<typename _InputIterator, typename _OutputIterator>
constexpr _OutputIterator | std::adjacent_difference (_InputIterator __first, _InputIterator __last, _OutputIterator __result)
template<typename _InputIterator, typename _OutputIterator, typename _BinaryOperation>
constexpr _OutputIterator | std::adjacent_difference (_InputIterator __first, _InputIterator __last, _OutputIterator __result, _BinaryOperation __binary_op)
template<typename _InputIterator1, typename _InputIterator2, typename _Tp>
constexpr _Tp | std::inner_product (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _Tp __init)
template<typename _InputIterator1, typename _InputIterator2, typename _Tp, typename _BinaryOperation1, typename _BinaryOperation2>
constexpr _Tp | std::inner_product (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _Tp __init, _BinaryOperation1 __binary_op1, _BinaryOperation2 __binary_op2)
template<typename _ForwardIterator, typename _Tp>
constexpr void | std::iota (_ForwardIterator __first, _ForwardIterator __last, _Tp __value)
template<typename _InputIterator, typename _OutputIterator>
constexpr _OutputIterator | std::partial_sum (_InputIterator __first, _InputIterator __last, _OutputIterator __result)
template<typename _InputIterator, typename _OutputIterator, typename _BinaryOperation>
constexpr _OutputIterator | std::partial_sum (_InputIterator __first, _InputIterator __last, _OutputIterator __result, _BinaryOperation __binary_op)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <numeric>.

Definition in file stl_numeric.h.

## Macro Definition Documentation

## _GLIBCXX_MOVE_IF_20

#define _GLIBCXX_MOVE_IF_20 | ( |  | _E | ) |

Definition at line 111 of file stl_numeric.h.